/**
 * Stalk-JavaScript, Node.js client. Supported react, react-native.
 * Support by@ nattapon.r@live.com
 * 
 * Ahoo Studio.co.th 
 */

import { ServerImplemented, ServerParam, IDictionary, DataDict } from "./lib/browser/serverImplemented";
import { ChatRoomApiProvider } from "./lib/browser/chatRoomApiProvider";
import { StalkEvents } from "./lib/browser/StalkEvents";

import { HttpStatusCode } from "./lib/utils/httpStatusCode";
import { TokenDecode } from "./lib/utils/tokenDecode";

export namespace Stalk {
    export var Server = ServerImplemented;
};
export namespace Events {
    export var Events = StalkEvents;
};
export namespace ChatRoom {
    export var ChatRoom = ChatRoomApiProvider;
};
export namespace Utils {
    export var Utils = {
        statusCode: HttpStatusCode,
        tokenDecode: TokenDecode,
        serverParam: ServerParam,
        dataDict: DataDict
    };
}